// rec_3.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
using namespace std;
int f(int x)
{
	if (x==0) return 1;
	if (x==1) return 2;
	return f(x-1)*f(x-2);
}

int _tmain(int argc, _TCHAR* argv[])
{
	cout<<f(5)<<endl;
	system("pause");
	return 0;
}

